    fvVectorMatrix UEqn
    (
        fvm::ddt(alpha, rho, U)
      + fvm::div(alphaPhi, U)
      + turbulence->divDevRhoReff(U)
     ==
        alpha.dimensionedInternalField()*rho.dimensionedInternalField()*g
      + kinematicCloud.SU(U)
      //+ limestoneParcels.SU(U)
      + fvOptions(alpha, rho, U)
    );

    UEqn.relax();

    fvOptions.constrain(UEqn);

    if (pimple.momentumPredictor())
    {
        solve(UEqn == -fvc::grad(p));

        fvOptions.correct(U);   //option correct the U field
        K = 0.5*magSqr(U);
    }
